PopupResource
Date: 2019-10-22

org.jmol.popup

## Class PopupResource

- java.lang.Object
- - org.jmol.popup.PopupResource

- Direct Known Subclasses:
    MainPopupResourceBundle, ModelKitPopupResourceBundle

      public abstract class PopupResource
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.Properties` | `structure`
    `protected java.util.Properties` | `words`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `PopupResource(java.lang.String menuStructure, java.util.Properties menuText)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addItems(java.lang.String[][] itemPairs)`
    `protected abstract void` | `buildStructure(java.lang.String menuStructure)`
    `private java.lang.String` | `dumpStructure(java.lang.String[][] items)`
    `private java.lang.String` | `dumpWords()`
    `abstract java.lang.String` | `getMenuAsText(java.lang.String title)`
    `abstract java.lang.String` | `getMenuName()`
    `(package private) java.lang.String` | `getStructure(java.lang.String key)`
    `protected java.lang.String` | `getStuctureAsText(java.lang.String title, java.lang.String[][] menuContents, java.lang.String[][] structureContents)`
    `(package private) java.lang.String` | `getWord(java.lang.String key)`
    `protected abstract java.lang.String[]` | `getWordContents()`
    `private void` | `localize(boolean haveUserMenu, java.util.Properties menuText)`
    `protected void` | `setStructure(java.lang.String slist, Translator gt)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### structure

          protected java.util.Properties structure

    - #### words

          protected java.util.Properties words

  - ### Constructor Detail

    - #### PopupResource

          protected PopupResource(java.lang.String menuStructure,
                                  java.util.Properties menuText)

  - ### Method Detail

    - #### getMenuName

          public abstract java.lang.String getMenuName()

    - #### getWordContents

          protected abstract java.lang.String[] getWordContents()

    - #### buildStructure

          protected abstract void buildStructure(java.lang.String menuStructure)

    - #### getStructure

          java.lang.String getStructure(java.lang.String key)

    - #### getWord

          java.lang.String getWord(java.lang.String key)

    - #### setStructure

          protected void setStructure(java.lang.String slist,
                                      Translator gt)

    - #### addItems

          protected void addItems(java.lang.String[][] itemPairs)

    - #### localize

          private void localize(boolean haveUserMenu,
                                java.util.Properties menuText)

      Parameters:
        `haveUserMenu` - NOT USED
        `menuText` -

    - #### getMenuAsText

          public abstract java.lang.String getMenuAsText(java.lang.String title)

    - #### getStuctureAsText

          protected java.lang.String getStuctureAsText(java.lang.String title,
                                                       java.lang.String[][] menuContents,
                                                       java.lang.String[][] structureContents)

    - #### dumpWords

          private java.lang.String dumpWords()

    - #### dumpStructure

          private java.lang.String dumpStructure(java.lang.String[][] items)